Subject: Re: bug#23377: 25.0.93; Completion is extremely slow for insert-char

From: Lars Magne Ingebrigtsen <[email-masked]>
Date: Wed, 27 Apr 2016 02:53:24 +0200

Paul Eggert <[email-masked]> writes:

> In that case I'd rather not install the patch. The user interface is
> quite bad in common use by ordinary users, and if we're not going to
> fix this then there's little advantage (and arguably even some
> disadvantage) to supplying an optional workaround that only experts
> would know about or use.

If I type `M-x insert-char TAB' on this machines, that takes 17 seconds
to complete on this machine.  That's kinda unusable.  I think the patch
should be installed, and the default should be nil, and then somebody
can figure out how to make this feature work in a reasonable manner on
GNU/Linux systems for Emacs 26.

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no